iCalendlyDeveloper Docs
Calendars

POSTSave An ICS Feed

Establish and save an external ICS feed URL to synchronize remote calendar events with the user's scheduling availability, indicating read-only calendar preference.

POST/v2/calendars/ics-feed/save
POST/v2/calendars/ics-feed/save

Request Body

application/jsonRequired
urlsRequiredarray<string>

An array of ICS URLs

readOnlyboolean

Whether to allowing writing to the calendar or not

Default: true

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X POST "https://example.com/v2/calendars/ics-feed/save" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "urls": [
      "https://cal.com/ics/feed.ics",
      "http://cal.com/ics/feed.ics"
    ],
    "readOnly": false
  }'

{
  "status": "success",
  "data": {
    "id": 1234567890,
    "type": "ics-feed_calendar",
    "userId": 1234567890,
    "teamId": 1234567890,
    "appId": "ics-feed",
    "invalid": false
  }
}